Page MenuHomePhabricator

Use subphrase matching for autocomplete by default on specific sites
Closed, ResolvedPublic

Description

subphrase matching allows finding nested titles much easier. It would be convenient to make this the default on a few sites where this is common. Probably:

  • wikitech
  • mw.org

Note: Documentation for the feature is already in https://www.mediawiki.org/wiki/Extension:CirrusSearch/CompletionSuggester#Completion_suggester

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJan 2 2019, 4:20 PM
dcausse claimed this task.Jan 15 2019, 6:41 PM
dcausse triaged this task as Normal priority.

Change 485608 had a related patch set uploaded (by DCausse; owner: DCausse):
[operations/mediawiki-config@master] [cirrus] autocomplete: enable subphrase matching for wikitech and mw.org (1/2)

https://gerrit.wikimedia.org/r/485608

Change 485609 had a related patch set uploaded (by DCausse; owner: DCausse):
[operations/mediawiki-config@master] [cirrus] autocomplete: enable subphrase matching for wikitech and mw.org (2/2)

https://gerrit.wikimedia.org/r/485609

Change 485608 merged by jenkins-bot:
[operations/mediawiki-config@master] [cirrus] autocomplete: enable subphrase matching for wikitech and mw.org (1/2)

https://gerrit.wikimedia.org/r/485608

Mentioned in SAL (#wikimedia-operations) [2019-01-25T00:14:12Z] <ebernhardson@deploy1001> Synchronized wmf-config/InitialiseSettings.php: SWAT T212788 gerrit:485608: autocomplete subphrase matching on wikitech and mw.org (duration: 00m 46s)

Change 485609 merged by jenkins-bot:
[operations/mediawiki-config@master] [cirrus] autocomplete: enable subphrase matching for wikitech and mw.org (2/2)

https://gerrit.wikimedia.org/r/485609

Mentioned in SAL (#wikimedia-operations) [2019-01-25T00:20:38Z] <ebernhardson@deploy1001> Synchronized wmf-config/CirrusSearch-common.php: SWAT T212788 gerrit:485609: autocomplete subphrase matching on wikitech and mw.org 2 of 2 (duration: 00m 45s)

Quiddity updated the task description. (Show Details)Jan 25 2019, 6:16 AM
debt closed this task as Resolved.Feb 7 2019, 9:18 PM